#ifndef NEXT_IMAGE_H
#define NEXT_IMAGE_H

#include "gliv.h"
#include "gliv_image.h"

void after_reorder(gint new_id);
gboolean load_direction(gint dir);
void open_next_image(gboolean keep_next);
gliv_image *load_first_image(void);
void load_second_image(void);
void open_file(const gchar * filename, gboolean add_dir, gboolean shuffle_flag);
void reload_all_images(void);
void menu_load(const gchar * filename);
void unload(GList * node);
void unload_images(void);
void destroy_next_image(void);
void set_slide_show_menu(GtkMenuItem * item);
void start_slide_show(void);
gboolean slide_show_started(void);
void toggle_slide_show(void);

#endif
