#ifndef WINDOWS_H
#define WINDOWS_H

#include "gliv.h"

void resize_window(gint width, gint height, gboolean force);
void show_dialog(GtkWidget * widget, const gchar * name);
void set_loading_entry(const gchar * filename);
gboolean toggle_widget(GtkWidget * widget, gboolean * flag);
void toggle_menu_bar(void);
void toggle_status_bar(void);
void update_status_bar(void);
void create_windows(void);
void goto_window(void);
void toggle_fullscreen(gboolean enable);
void update_window_title(void);
GtkWindow *get_current_window(void);

#endif
